import { FG_Plugin } from 'src/plugins';
import mainRoutes from './routes';
import store from './store/schedule';
import { Module } from 'vuex';
import { StateInterface } from 'src/store';

const plugin: FG_Plugin.Plugin = {
  name: 'Schedule',
  mainRoutes,
  requiredModules: ['User'],
  requiredBackendModules: ['schedule'],
  version: '0.0.1',
  store: new Map<string, Module<any, StateInterface>>([['schedule', store]]),
  widgets: [
    {
      priority: 0,
      name: 'stats',
      permissions: [],
      widget: () => import('./components/Widget.vue')
    }
  ]
};

export default plugin;
